package com.keao.edu.im.api.client.callback;

import java.util.List;

import org.springframework.stereotype.Component;

import com.keao.edu.im.api.client.ImFeignService;
import com.keao.edu.im.api.entity.ImGroupModel;
import com.keao.edu.im.api.entity.ImPrivateMessage;
import com.keao.edu.im.api.entity.ImResult;
import com.keao.edu.im.api.entity.ImUserModel;

@Component
public class ImFeignServiceFallback implements ImFeignService {
    @Override
    public ImResult register(ImUserModel userModel) {
    	
        return null;
    }

    @Override
    public void update(ImUserModel userModel) {

    }

    @Override
    public Object groupCreate(ImGroupModel groupModel) {
        return null;
    }

    @Override
    public void groupBatchCreate(List<ImGroupModel> groupModels) {

    }

    @Override
    public Object groupJoin(ImGroupModel groupModel) {
        return null;
    }

    @Override
    public Object groupQuit(ImGroupModel groupModel) {
        return null;
    }

    @Override
    public Object groupDismiss(ImGroupModel groupModel) {
        return null;
    }

    @Override
    public Object groupBatchDismiss(List<ImGroupModel> groupModels) {
        return null;
    }

    @Override
    public Object groupBatchQuit(List<ImGroupModel> groupModels) {
        return null;
    }

    @Override
    public Object privateSend(ImPrivateMessage privateMessage) {
        return null;
    }
/*
    @Override
    public Object privateSendCustom(ImGroupMessage groupMessage) {
        return null;
    }*/
}
